Bug 252276 - Please drop the chkfontpath dependency
Please drop the chkfontpath dependency
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: terminus-font (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: NOMOREXFS
  Show dependency treegraph
 
Reported: 2007-08-14 21:52 EDT by Matthias Clasen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 08:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-08-14 21:52:12 EDT
and convert to using the new fontpath.d configuraton mechanism.
See http://fedoraproject.org/wiki/Releases/FeatureNoMoreXFS
Comment 1 Hans Ulrich Niedermann 2007-08-15 07:42:54 EDT
Shouldn't font packages now contain the following two dependencies?

# First filesystem package to contain %{catalogue}/ dir.
Requires:         filesystem >= 2.4.11-1
# First libXfont to support the %{catalogue} mechanism.
Requires:         libXfont >= 1.2.9-1

Hmm. And rpmlint-0.80-2.fc7 now complains about the absolute symlink in
/etc/X11/fontpath.d:
W: terminus-font-x11 symlink-should-be-relative
/etc/X11/fontpath.d/terminus-font:unscaled /usr/share/fonts/terminus-font
Comment 2 Hans Ulrich Niedermann 2007-08-15 08:59:18 EDT
Should be fixed in terminus-font-4.20-8.fc8.

I have tested the package on my F-7 system like this:

  1. Replaced 'FontPath "unix/:7100"' in xorg.conf with
     'FontPath "catalogue:/etc/X11/fontpath.d,built-ins"'
  2. chmod 0000 /usr/bin/xfs; killall xfs
  3. Created symlinks to /usr/share/X11/fonts/* and /usr/share/fonts/* in
/etc/X11/fontpath.d
  4. telinit 3; sleep 20; telinit 5

Note You need to log in before you can comment on or make changes to this bug.